# pn_dscp_map – CLI command to create/delete dscp-map

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create a DSCP priority mapping table.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_name string |  | Name for the DSCP map.

pn_scope
-

Choices:
- local
- fabric

Scope for dscp map.

state
string / required

Choices:
- present
- absent

State the action to perform. Use `present` to create dscp-map and `absent` to delete.

## Examples

    - name: dscp map create
      pn_dscp_map:
        pn_cliswitch: "sw01"
        state: "present"
        pn_name: "foo"
        pn_scope: "local"

    - name: dscp map delete
      pn_dscp_map:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_name: "foo"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the dscp-map command.
stdout list | always | set of responses from the dscp-map command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.